RevertVmFromCdpBackup
RevertVmFromCdpBackup
PUT
/zstack/v1/cdp-backups/{vmInstanceUuid}/actionsOperation ID
RevertVmFromCdpBackupSince
4.5.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
vmInstanceUuidStringRequiredThe UUID of the VM instance.
Body Fields
paramsObjectRequiredRequest body parameter object.
backupStorageUuidStringRequiredThe UUID of the backup storage.
groupIdlongRequiredThe group ID of the recovery points.
primaryStorageUuidForRootVolumeStringOptional. The UUID of the primary storage for new root volume.
primaryStorageUuidForDataVolumeStringOptional. The UUID of the primary storage for new data volume.
hostUuidStringOptional. The UUID of the host.
useExistingVolumebooleanOptional. Use the recover data to overwrite existing volume or not.
recoverBandwidthlongOptional. The recover bandwidth.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
